﻿using dotnetSHIP;
using Microsoft.Extensions.Primitives;
using System.Text;

namespace dotnetshipSamples.Pages
{
    public class TrackModel : ShippingPage
    {
        public TrackModel(IConfiguration config) : base(config)
        {
        }
        public void OnGet()
        {

        }
        public void OnPost()
        {            
            StringValues trackNumber;
            StringValues shipCompany;
            Request.Form.TryGetValue("TrackNumber", out trackNumber);
            Request.Form.TryGetValue("myShipCompany", out shipCompany);
            if (!StringValues.IsNullOrEmpty(trackNumber) && !StringValues.IsNullOrEmpty(shipCompany))
            {
                Ship objShip = new Ship(HttpContext);
                objShip.FedExLogin = "3333,11111,productionkey,password";  // "Account number, meter number, key, password"
                objShip.FedExURLTest = true;
                
                objShip.USPSLogin = "YourUserName,YourPassWord";//Test Track #70161370000077353750
                objShip.DHLLogin = "userName,passWord,customerNumber,domesticShippingKey,internationalShippingKey";

                objShip.Track(shipCompany[0], trackNumber[0]);
                StringBuilder FedExTracks = new StringBuilder();
                foreach (Track track in objShip.Tracking)
                {
                    StringBuilder strLabel = new StringBuilder("<br/>");
                    if (!string.IsNullOrEmpty(track.Date))
                        strLabel.Append(track.Date + "     ");
                    if (!string.IsNullOrEmpty(track.Location))
                        strLabel.Append(track.Location + "     ");
                    if (!string.IsNullOrEmpty(track.Status))
                        strLabel.Append(track.Status);
                    FedExTracks.Append(strLabel);
                }
                shippingMessage = FedExTracks.ToString();
            }
           
        }
    }
}