using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using dotnetSHIP;


	
	public class RateControlCodeBehind : System.Web.UI.Page
	{
		protected Label myStatusLabel;
		protected TextBox myWeight,myDestZipPostal,myDestCity,myDestStateProv;
		protected DropDownList myListShipCompany;
		protected CountryList myCountryList;
		protected DisplayRatesDropDown myRateControl;
					
		override protected void OnLoad(EventArgs e)
		{
			myRateControl.Visible = false;
			if(!IsPostBack)
			{

				ListItem myListItem;
				myListShipCompany.Items.Add("USPS");
				myListShipCompany.Items.Add("FedEx");
				myListShipCompany.Items.Add("DHL");
				myListShipCompany.Items.Add("Airborne");
				myListShipCompany.Items.Add("CanadaPost");
				
				myListItem = new ListItem("DHL and USPS","DHL,USPS");
				myListShipCompany.Items.Add(myListItem);
				
				myListItem = new ListItem("USPS, FedEx and DHL","USPS,FedEx,DHL");
				myListShipCompany.Items.Add(myListItem);
			}
			
			if(IsPostBack)
			{
				// Please set and uncomment one or more of following Login properties based on your requirements.
				// myRateControl.USPSLogin = "YourUserName,YourPassWord"; 
				// myRateControl.CanadaPostLogin = "YourMerchantCPCID"; 
				// myRateControl.DHLLogin = "userName,passWord,customerNumber,domesticShippingKey,internationalShippingKey"; 
				// myRateControl.FedExLogin="AccountNumber, meterNumber";
				// Note: For Roadway, no login is required.	
				
				myRateControl.OrigCountry="US";
				myRateControl.DestCountry= myCountryList.SelectedItem.Value;
				myRateControl.Weight= float.Parse(myWeight.Text);
				myRateControl.DestZipPostal= myDestZipPostal.Text;
				myRateControl.OrigZipPostal="90210";

				myRateControl.OrigStateProvince = "CA";
				 
				myRateControl.DestStateProvince = Request.Params["myDestStateProv"];

				myRateControl.Timeout=40;
				myRateControl.FedExGround = true;
				myRateControl.Sort="price";
				myRateControl.Rate = myListShipCompany.SelectedItem.Value;
				myRateControl.Visible = true;
			}

			
		}

		
		override protected  void OnPreRender(	EventArgs e	)
		{
			if((myRateControl.Error == null ) || (myRateControl.Error == "" )) 
			{       
				myStatusLabel.Text="";
			}   
			else
			{
				myStatusLabel.Text ="Error:";
				myStatusLabel.Text +=myRateControl.Error;
				myRateControl.Visible = false;
			}

		}
		
	}

