<%@ Page Language="C#" Debug="true" Description="NetShip Component" Trace="false" EnableViewState="true"%>
<%@ Register TagPrefix="dotnetSHIP" Namespace="dotnetSHIP" Assembly="dotnetship" %>
<%@ Import Namespace="System.Web.UI" %>
<%@ Import Namespace="dotnetSHIP" %>
<script language="C#" runat="server">

Ship objShip;

void Page_Load(Object sender,EventArgs e)
{
 myStatusLabel.Text="";
 objShip = new dotnetSHIP.Ship();
 myRateControl.Visible = false;



if(!IsPostBack) 
{
           
           ListItem myListItem;
           myListShipCompany.Items.Add("USPS");
           myListShipCompany.Items.Add("FedEx");
           myListShipCompany.Items.Add("DHL");
           myListShipCompany.Items.Add("Airborne");
           myListShipCompany.Items.Add("CanadaPost");
            
            myListItem = new ListItem("DHL and USPS","DHL,USPS");
           myListShipCompany.Items.Add(myListItem);
            
             myListItem = new ListItem("USPS, FedEx and DHL","USPS,FedEx,DHL");
           myListShipCompany.Items.Add(myListItem);
           
          
           
         
}

if(IsPostBack) 
{
        
        // Please set and uncomment one or more of following Login properties based on your requirements.
		// objShip.USPSLogin = "YourUserName,YourPassWord"; 
		// objShip.CanadaPostLogin = "YourMerchantCPCID"; 
    
		// objShip.DHLLogin = "userName,passWord,customerNumber,domesticShippingKey,internationalShippingKey"; 
    
       // First  must have a FedEx account number to obtain rates from FedEx.
       // Visit fedex.com/developer and Login using an existing account or create a new account. 
       // objShip.FedExLogin = "3333,11111,productionkey,password";  // "Account number, meter number, key, password"
 // If using FedEx test account, this property should be set: 
    //objShip.FedExURLTest = true;

		// Note: For Roadway, no login is required.		 	
		
		myRateControl.OrigCountry="US";
		myRateControl.OrigStateProvince = "CA";
		myRateControl.OrigZipPostal="90210";
		
		myRateControl.DestCountry= myCountryList.SelectedItem.Value;
		myRateControl.DestStateProvince = Request.Params["myDestStateProv"];
		myRateControl.DestZipPostal= myDestZipPostal.Text;
		
		myRateControl.Weight= float.Parse(myWeight.Text);
        
		myRateControl.Sort="price";

		myRateControl.Visible = true;
		myRateControl.Rate =myListShipCompany.SelectedItem.Value;
		 
}

                            	
}

void Page_PreRender(Object sender,EventArgs e)
{
        if((myRateControl.Error == null ) || (myRateControl.Error == "" )) 
        {       
         
          myStatusLabel.Text ="";
        }   
        else
        {
        
          myStatusLabel.Text ="Error:";
          myStatusLabel.Text +=myRateControl.Error;
          if( myRateControl.Items.Count < 1)
            myRateControl.Visible = false;
          
         
         }
        
}

</script>

<html>
<body>   
<form method="POST"  runat="server">

  <table>
    <tr>
      <td align="right">Postal / Zip Code:</td>
      <td><ASP:TextBox  id="myDestZipPostal" size="10" value="02421" runat="server"/></td>
    </tr>
    <tr>
      <td align="right">Weight:</td>
      <td><ASP:TextBox  id="myWeight" size="3" value="1" runat="server"/>lbs</td>
    </tr>
    <tr>
      <td align="right">City:</td>
      <td><ASP:TextBox  id="myDestCity" size="15" value="Lexington" runat="server"/></td>
    </tr>
    <tr>
      <td align="right">State / Prov:</td>
      <td><ASP:TextBox id="myDestStateProv" size="15" value="MA" runat="server"/></td>
    </tr>
    <tr>
      <td align="right">Country:</td>
      <td><dotnetSHIP:CountryList id="myCountryList" runat="server" 
           SelectedCountry="US"  >
		</dotnetSHIP:CountryList>
       </td>
      
    </tr>
    <tr>
      <td align="right">Rates By:</td>
      <td>
       <ASP:DropDownList size="1" id="myListShipCompany" name="shipCompany" runat="server"/>
      </td>
    </tr>
    
    <tr>
      <td width="397" align="right" colspan="2">
         <input type="submit" value="Calculate Shipping Prices" name="B1">
      </td>
      </tr>
   </table>
  <table>
  <tr>
       <td>
         <dotnetSHIP:DisplayRatesDropDown id="myRateControl" runat="server"   
            BorderWidth="2"
            BorderStyle="Dotted"
            BackColor="Wheat">
        </dotnetSHIP:DisplayRatesDropDown>
      </td>
   </tr>
   <tr>
   <td><asp:Label id="myStatusLabel" runat="server"></asp:Label></td>
   </tr>
	
</table>

</form>

</body>
</html>