<%@ Page Language="C#" Debug="true" Description="NetShip Component" EnableViewState="true"%>
<%@ Register TagPrefix="dotnetSHIP" Namespace="dotnetSHIP" Assembly="dotnetship" %>
<%@ Import Namespace="System.Web.UI" %>
<%@ Import Namespace="System.Web.UI.WebControls" %>
<%@ Import Namespace="dotnetSHIP" %>
<script language="C#" runat="server">
 Ship objShip;
void Page_Load(Object sender,EventArgs e)
{
  myStatusLabel.Text="";
  objShip = new dotnetSHIP.Ship();
  myRateControl.Visible = false;
 
	if(!IsPostBack)
	{
           
           ListItem myListItem;
         
           myListShipCompany.Items.Add("FedEx Promotion");
           myListShipCompany.Items.Add("USPS Bundle");
           myListShipCompany.Items.Add("CustCO");
           myListShipCompany.Items.Add("Over Weight");
           myListItem = new ListItem("FedEx Promotion and USPS Bundle","FedEx Promotion,USPS Bundle");
           myListShipCompany.Items.Add(myListItem);
           
           
           
           
	}

	if(IsPostBack)
	 {  
			objShip = new dotnetSHIP.Ship();
			
			objShip.OrigCountry="US";
			objShip.DestCountry=  myCountryList.SelectedItem.Value;
			objShip.Weight= float.Parse(myWeight.Text);
			objShip.DestZipPostal= myDestZipPostal.Text;
			objShip.OrigZipPostal="90210";
			objShip.Sort= "price";
			objShip.DestStateProvince = myDestStateProv.Text;
			objShip.OrigStateProvince = "CA";
			objShip.Quantity = double.Parse(myQuantity.Text);
			objShip.Amount = double.Parse(myAmount.Text);
		
				

						
			//	Define a Shipping Company to be used in the case of an overweight package that 
			//	is too heavy to be real-time rated: 
			
			
            
			objShip.Custom.Company="Over Weight";
			objShip.Custom.Name="You will be contacted with exact shipping rates before your order is processed.";
            objShip.Custom.Formula="0-99=1,100-=0";
            objShip.Customs.Add();
            
		
			// Define a Shipping Company to offer free shipping to your visitors under certain 
			// criteria, in this case a purchase of over $100 (you could also easily limit this 
			// to a Country or StateProvince by setting that property: 
			
			
		    objShip.Custom.Company="FedEx Promotion";
		    objShip.Custom.Name="Free Shipping!";
            objShip.Custom.Formula="$100-=0";
            objShip.Customs.Add();
            
            objShip.Custom.Company="FedEx Promotion";
		    objShip.Custom.Name="Flat rate.";
            objShip.Custom.Formula="$0-99=1";
            objShip.Customs.Add();

       
			
			//  Define a Shipping Company for your own custom flat rate shipping within a 
			//  specific country, in this case $5 flat rate shipping for anyone in the US:</B> 
			
            objShip.Custom.Company="USPS Bundle";
            objShip.Custom.Name="Flat Rate";
            objShip.Custom.Formula="0-5=5";
            objShip.Custom.Country="US";
            objShip.Customs.Add();
            
            objShip.Custom.Company="USPS Bundle";
            objShip.Custom.Name="Flat Rate 2";
            objShip.Custom.Formula="6-20=4";
            objShip.Custom.Country="US";
            objShip.Customs.Add();
            
            objShip.Custom.Company="USPS Bundle";
            objShip.Custom.Name="Flat Rate 3";
            objShip.Custom.Formula="20-=1";
            objShip.Custom.Country="US";
            objShip.Customs.Add();
         
             
            // Define Multiple services within a new custom ship company that handles 
            // National / Canada / International Seperately or any geographic location for that 
            // matter:
           

            objShip.Custom.Company="CustCO";
            objShip.Custom.Name="National";
            objShip.Custom.Formula="0-10=4+0.4,11-20=2,21-=20";
            objShip.Custom.Country="US";
            objShip.Customs.Add();
         
            objShip.Custom.Company="CustCO";
            objShip.Custom.Name="Canada";
            objShip.Custom.Formula="0-10=5+0.5,11-20=3,21-=25";
            objShip.Custom.Country="CA";
            objShip.Customs.Add();
          
            objShip.Custom.Company="CustCO";
            objShip.Custom.Name="International";
            objShip.Custom.Formula="0-10=20+0.4,11-20=2,21-=20";
            objShip.Custom.Country="(US,CA)";
            objShip.Customs.Add();
			
			
			myRateControl.Rate = myListShipCompany.SelectedItem.Value;
			myRateControl.ShipObject = objShip;
			myRateControl.Visible = true;
			
			
            
		 
	 }
 }
 void Page_PreRender(Object sender,EventArgs e)
 {
	     
	
        if( (objShip.Error == null ) || (objShip.Error == "" ) )
           
           myStatusLabel.Text = "";
	              
        else
        {
        
          myStatusLabel.Text ="Error:";
          myStatusLabel.Text += objShip.Error;
          if(myRateControl.Items.Count < 1)
            myRateControl.Visible = false;
          
          
        }
        
}
                            	

      
</script>

<html>
<body>   
<form method="POST"  runat="server">


  <table>
    <tr>
      <td align="right">Postal / Zip Code:</td>
      <td><ASP:TextBox  id="myDestZipPostal" size="10" value="02421" runat="server"/></td>
    </tr>
    <tr>
      <td align="right">Weight:</td>
      <td><ASP:TextBox  id="myWeight" size="3" value="1" runat="server"/>lbs</td>
    </tr>
    <tr>
      <td align="right">Quantity:</td>
      <td><ASP:TextBox id="myQuantity" size="3" value="1" runat="server"/></td>
    </tr>
    <tr>
    <tr>
      <td align="right">Amount:</td>
      <td><ASP:TextBox id="myAmount" size="3" value="1" runat="server"/></td>
    </tr>
    <tr>
    <tr>
      <td align="right">City:</td>
      <td><ASP:TextBox  id="myDestCity" size="15" value="Lexington" runat="server"/></td>
    </tr>
    <tr>
      <td align="right">State / Prov:</td>
      <td><ASP:TextBox id="myDestStateProv" size="15" value="MA" runat="server"/></td>
    </tr>
    <tr>
      <td align="right">Country:</td>
      <td><dotnetSHIP:CountryList id="myCountryList" runat="server" 
           SelectedCountry="US"  >
		</dotnetSHIP:CountryList>
       </td>
      
    </tr>
    <tr>
      <td align="right">Rates By:</td>
      <td>
       <ASP:DropDownList size="1" id="myListShipCompany" name="shipCompany" runat="server"/>
      </td>
    </tr>
    
    <tr>
      <td width="397" align="right" colspan="2">
         <input type="submit" value="Calculate Shipping Prices" name="B1">
      </td>
      </tr>
     
  
  </table>

  <table>
	<tr>
       <td>
         <dotnetSHIP:DisplayRatesDropDown id="myRateControl" runat="server"   
            BorderWidth="2"
            BorderStyle="Dotted"
            BackColor="Wheat">
        </dotnetSHIP:DisplayRatesDropDown>
      </td>
   </tr>
   
  	<tr>
	  <td> <asp:Label id="myStatusLabel" runat="server"></asp:Label> </td>
	</tr>
	
</table>

</form>

</body>
</html>