<%@ Page Language="C#" Debug="true" Description="NetShip Component" EnableViewState="true"
    Trace="false" %>

<%@ Register TagPrefix="dotnetSHIP" Namespace="dotnetSHIP" Assembly="dotnetship" %>
<%@ Import Namespace="System.Web.UI" %>
<%@ Import Namespace="dotnetSHIP" %>
<script language="C#" runat="server">

    void Page_Load(Object sender, EventArgs e)
    {

        MyTrackDataGrid.Visible = false;
        if (!IsPostBack)
        {
            myDropDownList.Items.Add("DHL");
            myDropDownList.Items.Add("UPS");
            myDropDownList.Items.Add("USPS");
            myDropDownList.Items.Add("Fedex");
            myDropDownList.Items.Add("Airborne");
            myDropDownList.Items.Add("CanadaPost");
        }

        if (IsPostBack)
        {

            //MyTrackDataGrid.USPSLogin = "YourUserName,yourPassWord";  // Please enter  your USPS login information here.

            // First  must have a FedEx account number to obtain rates from FedEx.
            // Visit fedex.com/developer and Login using an existing account or create a new account. 
            // MyTrackDataGrid.FedExLogin = "3333,11111,productionkey,password";  // "Account number, meter number, key, password"
	   // If using FedEx test account, this property should be set: 
    	   //MyTrackDataGrid.FedExURLTest = true;

            //if using EasyPost, only EasyPostLogin should be set.
            if (this.Easypost.Checked)
            {
                MyTrackDataGrid.EasyPostLogin = "8HtJ3dCOASfWdTLJyiyg";
            }
            
            MyTrackDataGrid.Visible = true;
            MyTrackDataGrid.Track = myDropDownList.SelectedItem.Text + "," + myTrackID.Text;


            if ((MyTrackDataGrid.Error == null) || (MyTrackDataGrid.Error.Length < 1))
                StatusLabel.Text = "";
            else
            {
                StatusLabel.Text = MyTrackDataGrid.Error;
                MyTrackDataGrid.Visible = false;
            }
        }

    }
</script>
<html>
<head>
<title>Tracking</title>
</head>
<body>
<form method="POST" runat="server">
<table>
    <tr>
        <td>
            Track Number:
            <asp:textbox id="myTrackID" name="TrackNumber" size="15" text="" runat="server" />
        </td>
    </tr>
    <tr>
        <td>
            Carrier Name:
            <asp:dropdownlist size="1" id="myDropDownList" name="shipCompany" runat="server" />
        </td>
    </tr>
     <tr>
        <td>
            Processed by EasyPost:
            <asp:checkbox id="Easypost" name="Easypost" runat="server" />
        </td>
    </tr>
    <tr>
        <td width="397" colspan="2">
            <input type="submit" value="Get Tracking data" name="TrackButton">
        </td>
    </tr>
    <dotnetSHIP:DisplayTracking ID="MyTrackDataGrid" runat="server">
    </dotnetSHIP:DisplayTracking>
</table>
<table>
    <tr>
        <td>
            <asp:label id="StatusLabel" runat="server"></asp:label>
        </td>
    </tr>
</table>
</form>
</body>
</html>