<%@ Page Language="VB" Debug="true" Description=".netShip Component"%>

<script runat="server">

Private Sub Page_Load(sender As [Object], e As EventArgs)
	If Not IsPostBack Then
		Dim objShip As New dotnetSHIP.Ship()
		objShip.EasyPostLogin = "8HtJ3dCOASfWdTyBYiyg" 'Set to your EasyPost account API key
		
            objShip.OrigName = "Your Company Name"      'Required for generating label
		objShip.OrigAddress = "164 Townsend"
		objShip.OrigCity = "San Francisco"
		objShip.OrigZipPostal = "94107"
		objShip.OrigStateProvince = "CA"
		objShip.OrigCountry = "US"
		objShip.OrigPhone = "415-212-6565"

		objShip.DestName = "Brian Anderson"
		objShip.DestAddress = "179 N Harbor Dr"
		objShip.DestCity = "Redondo Beach"
		objShip.DestStateProvince = "CA"
		objShip.DestZipPostal = "90277"
		objShip.DestCountry = "US"
            objShip.DestPhone = "310-455-6565"      'Required for generating label for FedEx

		objShip.Weight = 30
		objShip.Length = 3
		objShip.Height = 2
		objShip.Width = 4

		'EasyPostShipmentID can be set to an optional unique key for future lookups (before calling Rate) and after that, it is populated by the shipment ID assigned by EasyPost.
		'objShip.EasyPostShipmentID = "Shipment_99000"; 

		'If using EasyPost for getting rates, EasyPost  can be passed as the company parameter to get the rates for all the carriers configured in your EasyPost account, 
		'or a comma delimited list of one or more carrier IDs (ca_3kldd33d) or carrier names.  
		'If passing carriers name, .netSHIP will get all the rates from EasyPost and filter it internally but if passing carrier ID, it gets only those carriers from EasyPost.
		objShip.Rate("EasyPost")

		If Not String.IsNullOrEmpty(objShip.[Error]) Then
			Response.Write("<font color='Red'>Error: ")
			Response.Write(objShip.[Error])
			Response.Write("</font><br/>")
		Else
			ShipmentID.Value = objShip.EasyPostShipmentID

				'For custom manipulation, you can  Iterate through rates collection 
				'foreach (Rate rate in objShip.Rates)
				'    Response.Write("<br/>ID:" + rate.ID + "|Company:" + rate.Company + "|Name:" + rate.Name + "|Charge:" + rate.Charge + "|ShipTime:" + rate.ShipTime);             
			DisplayRatesLabel.Text = objShip.DisplayRates("combo", "ComboRates")
            End If
	End If
End Sub
</script>
<html>
 <head>
 <title>.netSHIP EasyPost Rates</title>
  </head>
 <body style="font-family:Arial; font-size:medium;">
<form id="form1" method="post" runat="server">

 <table> 
 <tr><td width="490" align="justify" colspan="3">
 Label and Postage Demonstration: Please select a service to purchase postage for the selected rate and create a shipment label. 
 After purchasing the postage for the selected shipment, the shipment cannot be modified. If you refresh this page, a new shipment ID is created, 
 then you can select and purchase a new postage option and create the label for it. In production, the un-used stamps or labels, 
 would need to be cancelled to avoid being charged.<br />
     </td>
      </tr>  
       <tr><td width="490" align="justify" colspan="3">
       <hr />
       </td>
       </tr>
     <tr><td width="180" align="right">Postage Options:</td>
     <td><asp:HiddenField ID="ShipmentID" runat="server" /><asp:Label id="DisplayRatesLabel" runat="server" /></td>
      </tr>    
      <tr><td width="180" align="right">Label Format:</td><td>
         <select name="LabelFormat">
         <option value=''>PNG</option>
         <option value='pdf'>PDF</option>         
         </select>
        </td>
         <td align="right" colspan="3">
      <asp:Button ID="CreateLabel" PostBackUrl="EasyPostGetLabel.aspx" runat="server" Text="Purchase Postage and Create Label" />        
        </td>
      </tr>
     
        
  </table>
</form>
</body>
</html>
