<%@ Page Language="VB" Debug="true" Description="NetShip Component"%>
<%@ Import Namespace="System.Web.UI" %>
<%@ Import Namespace="dotnetSHIP" %>
<script language="VB" runat="server">

Dim objShip As dotnetSHIP.Ship 

    Sub Page_Load(Src As Object, E As EventArgs)
	      
        objShip = New dotnetSHIP.Ship()
        objShip.USPSLogin = "YourUserName,YourPassWord" ' Please enter your login data here
	     
        ' First  must have a FedEx account number to obtain rates from FedEx.
        ' Visit fedex.com/developer and Login using an existing account or create a new account. 
        ' objShip.FedExLogin = "3333,11111,productionkey,password";  // "Account number, meter number, key, password"
            'If using FedEx test account, this property should be set: 
    		' objShip.FedExURLTest = true    
        ' Note: For Roadway, no login is required.		 	
		
                
        ' Please modify following line for CanadaPostLogin which can be obtained from CanadaPost:
        ' objShip.CanadaPostLogin = "YourMerchantCPCID" 
        
        objShip.OrigCountry = "US"
        objShip.DestCountry = Request.Params("DESTCOUNTRY")
        objShip.Weight = Request.Params("myWeight")
        objShip.FedExPack = "FedEx Box"
        objShip.DestZipPostal = Request.Params("myDestZipPostal")
        objShip.OrigZipPostal = "90210"
        objShip.OrigStateProvince = "CA"
        objShip.DestStateProvince = Request.Params("myDestStateProv")
        objShip.Timeout = 40
        objShip.FedExGround = True
        objShip.Sort = "price"
        objShip.Rate(Request.Params("myShipCompany"))
                         	
    End Sub
</script>
<html>
 <head>
 <title>Sample Rate</title></head>
 <body>
<form method="post" action="RateProcess.aspx">
 <table>
   <tr><td>Available Rates:</td></tr>
   <tr><td>
      <%
                
        Response.Write(objShip.DisplayRates(Request.Params("myDisplay"),"ComboRates")) 
        Response.Write("&nbsp;<input type='submit' value='Checkout' name='Checkout'>")
 
        If Len(objShip.Error) > 0  Then
       
         Response.Write("<br> Error:")
         Response.Write(objShip.Error)

        End If
      %>
    </td></tr>
 </table>
</form>
</body>
</html>
