<%@ Page Language="VB" Debug="false" Description="NetShip Component" Trace="false"
    EnableViewState="true" %>

<%@ Register TagPrefix="dotnetSHIP" Namespace="dotnetSHIP" Assembly="dotnetship" %>
<%@ Import Namespace="System.Web.UI" %>
<%@ Import Namespace="dotnetSHIP" %>
<script language="VB" runat="server">

    Dim objShip As Ship

    Sub Page_Load(sender As Object, e As EventArgs)

        myStatusLabel.Text = ""
        objShip = New dotnetSHIP.Ship()
        myRateControl.Visible = False



        If (Not IsPostBack) Then

           
            Dim myListItem As ListItem
            myListShipCompany.Items.Add("DHL")
            myListShipCompany.Items.Add("USPS")
            myListShipCompany.Items.Add("FedEx")
            myListShipCompany.Items.Add("Airborne")
            myListShipCompany.Items.Add("CanadaPost")
            
            myListItem = New ListItem("DHL and USPS", "DHL,USPS")
            myListShipCompany.Items.Add(myListItem)
            
            myListItem = New ListItem("USPS,FedEx and DHL", "USPS,FedEx,DHL")
            myListShipCompany.Items.Add(myListItem)
           
                             
           
         
        End If

        If (IsPostBack) Then

            ' Please set and uncomment one or more of following Login properties based on your requirements.
            ' objShip.USPSLogin = "YourUserName,YourPassWord"; 
            ' objShip.CanadaPostLogin = "YourMerchantCPCID"; 
            ' objShip.DHLLogin = "userName,passWord,customerNumber,domesticShippingKey,internationalShippingKey"; 
            
            ' First  must have a FedEx account number to obtain rates from FedEx.
            'Visit fedex.com/developer and Login using an existing account or create a new account. 
            ' objShip.FedExLogin = "3333,11111,productionkey,password";  // "Account number, meter number, key, password"
    
            ' Note: For Roadway, no login is required.		 	
		
            myRateControl.OrigCountry = "US"
            myRateControl.OrigStateProvince = "CA"
            myRateControl.OrigZipPostal = "90210"
		
            myRateControl.DestCountry = myCountryList.SelectedItem.Value
            myRateControl.DestStateProvince = Request.Params("myDestStateProv")
            myRateControl.DestZipPostal = myDestZipPostal.Text
		
            myRateControl.Weight = Double.Parse(myWeight.Text)
        
            myRateControl.Sort = "price"

            myRateControl.Visible = True
            myRateControl.Rate = myListShipCompany.SelectedItem.Value
		
		 
        End If
    End Sub


    Sub Page_PreRender(sender As Object, e As EventArgs)

        If (myRateControl.Error = "") Then
            myStatusLabel.Text = ""
        Else
            myStatusLabel.Text = "Error:"
            myStatusLabel.Text += myRateControl.Error
            If (myRateControl.Items.Count < 1) Then
                myRateControl.Visible = False
            End If
        End If
        
    End Sub

</script>
<html>
<body>
    <form method="POST" runat="server">
    <table>
        <tr>
            <td align="right">
                Postal / Zip Code:
            </td>
            <td>
                <asp:TextBox ID="myDestZipPostal" size="10" value="02421" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="right">
                Weight:
            </td>
            <td>
                <asp:TextBox ID="myWeight" size="3" value="1" runat="server" />lbs
            </td>
        </tr>
        <tr>
            <td align="right">
                City:
            </td>
            <td>
                <asp:TextBox ID="myDestCity" size="15" value="Lexington" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="right">
                State / Prov:
            </td>
            <td>
                <asp:TextBox ID="myDestStateProv" size="15" value="MA" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="right">
                Country:
            </td>
            <td>
                <dotnetSHIP:CountryList ID="myCountryList" runat="server" SelectedCountry="US">
                </dotnetSHIP:CountryList>
            </td>
        </tr>
        <tr>
            <td align="right">
                Rates By:
            </td>
            <td>
                <asp:DropDownList size="1" ID="myListShipCompany" name="shipCompany" runat="server" />
            </td>
        </tr>
        <tr>
            <td width="397" align="right" colspan="2">
                <input type="submit" value="Calculate Shipping Prices" name="B1">
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                <dotnetSHIP:DisplayRatesDropDown ID="myRateControl" runat="server" BorderWidth="2"
                    BorderStyle="Dotted" BackColor="Wheat">
                </dotnetSHIP:DisplayRatesDropDown>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="myStatusLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
